| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csOptionDescription Struct Reference
[Utilities]

Configuration option description. More...

`#include <iutil/pluginconfig.h>`

List of all members.

## Public Attributes
const char * | description
| Description for this option.
int | id
| Description ID.
const char * | name
| Short name of this option.
csVariantType | type
| Type to use for this option.

## Detailed Description

Configuration option description.

Definition at line 155 of file pluginconfig.h.

## Member Data Documentation

const char* csOptionDescription::description

Description for this option.

Definition at line 162 of file pluginconfig.h.

int csOptionDescription::id

Description ID.

Definition at line 158 of file pluginconfig.h.

const char* csOptionDescription::name

Short name of this option.

Definition at line 160 of file pluginconfig.h.

csVariantType csOptionDescription::type

Type to use for this option.

Definition at line 164 of file pluginconfig.h.

The documentation for this struct was generated from the following file:

- iutil/pluginconfig.h